Fix for card images not being proper 16 / 9 width to height ratio across devices with different resolutions
Closed, ResolvedPublic

Description

Bug noted by Katie:
https://phabricator.wikimedia.org/T113001#1737188

Details on the PR:
https://github.com/wikimedia/wikipedia-ios/pull/184

Acceptance Criteria:
Article Preview Card View Scenario: Preview Image

Given the article has a lead image
And given I am on an iPhone in portrait orientation
When I am waiting for the lead image to load
Then I should see a placeholder image
And that image should be shown at a 16x9 ratio

Given the article has a lead image
And given I am on an iPhone in portrait orientation
When the lead image is loaded
Then I should see the image at 16x9 ratio at the top of the card

Given the article has a lead image
And given I am on an iPhone in landscape orientation
When I am waiting for the lead image to load
Then I should see a placeholder image
And that image should fill the width of the card, minus 30px of padding

Given the article has a lead image
And given I am on an iPhone in landscape orientation
When the image is loaded
Then that image should fill the width of the card, minus 30px of padding

Given the article does not have a lead image
When I see the article preview card view
Then the title should be the first item in the preview card
And no placeholder image should be displayed

Mhurd created this task.Oct 20 2015, 6:43 PM
Mhurd updated the task description. (Show Details)
Mhurd raised the priority of this task from to Needs Triage.
Mhurd claimed this task.
Mhurd moved this task to Needs Code Review on the Wikipedia-iOS-App-Development board.
Mhurd added a subscriber: Mhurd.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 20 2015, 6:43 PM
JMinor updated the task description. (Show Details)Oct 22 2015, 9:48 PM
JMinor set Security to None.

Checked with 5.0.0.501 on iPad mini iOS 8.2 and iPhone 5 iOS 9.02

  1. Is the width/height ratio correct?
  2. When the phrase 'Because you read [article's title]] needs to occupy more than one line - is there a little too much of a padding?

Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptNov 18 2015, 8:19 PM
JMinor closed this task as Resolved.Nov 20 2015, 6:55 PM
JMinor added a subscriber: JMinor.